%%%-------------------------------------------------------------------
%%% File    : test.erl
%%% Author  : Ulf Wiger <etxuwig@ws12858>
%%% Description : 
%%%
%%% Created : 16 Feb 2005 by Ulf Wiger <etxuwig@ws12858>
%%%-------------------------------------------------------------------
-module(test).

-export([words/2, name/2]).

-import(httpd_util, [to_lower/1]).

words(Str, []) ->
    string:tokens(Str, " \t\n");
words(Str, locase) ->
    [to_lower(W) || W <- string:tokens(Str, " \t\n")].


name(Obj, [locase,FN,LN]) ->
    FirstName = element(FN, Obj),
    LastName  = element(LN, Obj),
    [{to_lower(LastName), to_lower(FirstName)}].

